libmail-dkim-perl (1.20230212-1ubuntu1) noble; urgency=medium

  * Rebuild to avoid sync while we fix a component mismatched
    issue with libcryptX-perl (related to LP #2046154)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 27 Feb 2024 11:00:39 +0100

libmail-dkim-perl (1.20230212-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20230212.
  * Declare compliance with Debian Policy 4.6.2.
  * Use secure URI in Homepage field.

 -- gregor herrmann <gregoa@debian.org>  Thu, 16 Feb 2023 20:10:27 +0100

libmail-dkim-perl (1.20220520-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20220520:
    update default algorithm and improve documentation
    (Closes: #961472)
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 May 2022 12:09:28 +0200

libmail-dkim-perl (1.20220408-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20220408.
  * Declare compliance with Debian Policy 4.6.0.
  * Create manpages for dkimproxy-{sign,verify} at build time
    instead of using static copies.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Apr 2022 22:23:06 +0200

libmail-dkim-perl (1.20200907-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20200907.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Sep 2020 00:01:00 +0200

libmail-dkim-perl (1.20200824-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20200824.

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Aug 2020 15:58:27 +0200

libmail-dkim-perl (1.20200724-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20200724.

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Jul 2020 18:01:25 +0200

libmail-dkim-perl (1.20200708-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.20200708.
    Fixes "Argument "1.20200513.1" isn't numeric"
    (Closes: #960777)
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jul 2020 19:00:50 +0200

libmail-dkim-perl (1.20200513.1-1) unstable; urgency=medium

  * Team upload.
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * Import upstream version 1.20200513.1.
  * debian/watch: use uscan variables.
  * Update debian/upstream/metadata.
  * debian/copyright: use Copyright-Format 1.0.
  * Drop unused patch.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Set upstream metadata fields: Bug-Submit.
  * Update short and long description.
  * Upstream ChangeLog was removed, drop its handling.
  * Turn off DNS queries during package build to comply with Debian policy.

 -- gregor herrmann <gregoa@debian.org>  Fri, 15 May 2020 23:20:15 +0200

libmail-dkim-perl (0.58-1) unstable; urgency=low

  * New upsteam release.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 08 Feb 2020 19:07:01 +0100

libmail-dkim-perl (0.57-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop pod_errors.patch; incorporated upstream.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Oct 2019 21:34:53 +0200

libmail-dkim-perl (0.56-1) unstable; urgency=low

  * New upstream release (Closes: #927005).
  * Add libmail-authenticationresults-perl dependency.
  * Move packaging to salsa.debian.org and maintainership to the Perl
    group with myself as uploader.
  * Add upstream metadata.
  * Reorder dependencies to match between Build-Depends and Depends, drop
    very old version requirements, drop Breaks/Replaces on dkimproxy, mark
    Perl module build dependencies as test-only, and mark package as
    autopkgtest-able.
  * Switch to Debhelper compat level 12 by build-depending on
    debhelper-compat (= 12).
  * pod_errors.patch: Fix minor POD error that Lintian's been warning
    about for some time.
  * README.Debian: Update patent claim info and URL to DKIM homepage.
  * Include some more documentation files from the source package.
  * Add NEWS.gz as symlink to Changes in accordance with policy 12.7 since
    version 4.2.0 and restore ChangeLog as changelog.gz.
  * Mention ARC in package description.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 17 Sep 2019 00:46:57 +0200

libmail-dkim-perl (0.54-1) unstable; urgency=low

  * New upstream release.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 04 Dec 2018 21:15:55 +0100

libmail-dkim-perl (0.53-2) unstable; urgency=low

  * Build-depend on libnet-dns-resolver-mock-perl to enable tests to
    succeed.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 19 Aug 2018 23:03:10 +0200

libmail-dkim-perl (0.53-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Update debian/watch to use metacpan.org instead of search.cpan.org.
  * Add dependencies libyaml-libyaml-perl, libtest-requiresinternet-perl
    for tests.
  * Ensure that the shebang of the sign and verify scripts is just
    "#!/usr/bin/perl" (policy 10.4). Increase Standards-Version to 4.1.4.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Jun 2018 16:25:24 +0200

libmail-dkim-perl (0.44-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.1.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 21 Oct 2017 21:12:09 +0200

libmail-dkim-perl (0.42-1) unstable; urgency=low

  * New upstream release.
  * Switch to Debhelper compat level 9 and convert debian/rules to dh
    style.
  * debian/docs: Include doc/policies.txt and doc/dkim_errata.txt. README
    is now README.md.
  * Bump Standards-Version to 4.1.0.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 16 Sep 2017 23:13:42 +0200

libmail-dkim-perl (0.40-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Add build-arch and build-indep targets.
  * Change source format to 3.0 (quilt).
  * Standards-Version 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 07 May 2013 21:57:38 +0200

libmail-dkim-perl (0.39-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * Add Breaks: dkimproxy (<< 1.2-1) along with the Replaces: from 0.37-1.
  * Add ${misc:Depends} to Depends: just in case and to silence Lintian.
  * Up Standards-Version to 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 06 Feb 2011 18:59:40 +0100

libmail-dkim-perl (0.38-1) unstable; urgency=low

  * New upstream release.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 22 May 2010 23:32:58 +0200

libmail-dkim-perl (0.37-1) unstable; urgency=low

  * New upstream release.
  * Ship dkimsign.pl and dkimverify.pl as /usr/bin/dkimproxy-sign and
    /usr/bin/dkimproxy-verify, replacing the old versions in the dkimproxy
    package (Closes: #524047).
  * Also include the corresponding manpages from the dkimproxy
    package. Thanks to Thomas Goirand.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 19 Dec 2009 18:48:51 +0100

libmail-dkim-perl (0.36-1) unstable; urgency=low

  * New upstream release.
    - Renames Mail::DKIM::Policy to Mail::DKIM::DkPolicy. Only affects
      code that creates policy objects directly.
    - Drops support for pre-standardized DKIM signatures (i.e. DKIM
      signatures without a v= or bh= tag).
  * Honour nocheck option in DEB_BUILD_OPTIONS (but test outcome is still
    ignored since some tests depend on Internet connectivity).
  * Increase Standards-Version to 3.8.2.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 01 Aug 2009 19:16:02 +0200

libmail-dkim-perl (0.33-1) unstable; urgency=low

  * New upstream release (Closes: #519151).
  * Bumped Standards-Version to 3.8.0. No changes needed.
  * debian/rules: Fix target dependencies, skip unnecessary Debhelper
    calls, and delete severely incomplete Mail::DKIM::PublicKey(3pm)
    manpage that Lintian complains about.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 10 Mar 2009 23:22:33 +0100

libmail-dkim-perl (0.32-1) unstable; urgency=low

  * New upstream release.
    - No longer depends on libdigest-sha1-perl.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 07 Jun 2008 15:38:48 +0200

libmail-dkim-perl (0.31-1) unstable; urgency=low

  * New upstream release (Closes: 476908).
  * Change debian/watch to use search.cpan.org only.
  * New maintainer email address.
  * Increase minimum version of libcrypt-openssl-rsa-perl to 0.24 (should
    have done that at version 0.28 of this package).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Apr 2008 18:08:09 +0200

libmail-dkim-perl (0.30.1-1) unstable; urgency=low

  * New upstream release (Closes: #470650).

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 12 Mar 2008 18:47:28 +0100

libmail-dkim-perl (0.29-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3.
  * Upstream homepage moved to SourceForge.
  * Change XS-Vcs-* fields to just Vcs-*.

 -- Magnus Holmgren <magnus@kibibyte.se>  Sun, 23 Dec 2007 13:51:28 +0100

libmail-dkim-perl (0.28-2) unstable; urgency=low

  * Skip 'make realclean' if Makefile does not exist, and do not ignore
    errors.
  * Modernise debian/control: wrap dependency fields, add XS-Vcs-* fields,
    and make Homepage a real field.

 -- Magnus Holmgren <magnus@kibibyte.se>  Thu, 27 Sep 2007 22:21:31 +0200

libmail-dkim-perl (0.28-1) unstable; urgency=low

  * New upstream release. Skipping 0.27 which had a bug.

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat, 26 May 2007 17:43:55 +0200

libmail-dkim-perl (0.26-2) unstable; urgency=low

  * Fix error in this changelog (the description of DKIM was never changed
    in 0.25-1).

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat, 26 May 2007 17:42:05 +0200

libmail-dkim-perl (0.26-1) unstable; urgency=low

  * New upstream release.
    · Compliant to the finished RFC 4871.
  * debian/control: Borrow description of DKIM from libdkim.

 -- Magnus Holmgren <magnus@kibibyte.se>  Fri, 25 May 2007 00:52:29 +0200

libmail-dkim-perl (0.25-1) unstable; urgency=low

  * New upstream release.

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat, 12 May 2007 10:17:26 +0200

libmail-dkim-perl (0.24-2) unstable; urgency=low

  * Upload to unstable.
  * Add homepage to package description and mention DK support.

 -- Magnus Holmgren <magnus@kibibyte.se>  Mon, 23 Apr 2007 22:03:29 +0200

libmail-dkim-perl (0.24-1) experimental; urgency=low

  * New upstream (bugfix) release.
  * Add debian/watch.

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat, 24 Mar 2007 23:04:03 +0100

libmail-dkim-perl (0.23-1) experimental; urgency=low

  * New upstream release.

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat, 10 Mar 2007 20:36:14 +0100

libmail-dkim-perl (0.22-1) experimental; urgency=low

  * New upstream release.
    · This version will also verify the older DomainKeys kind of
      signatures.
  * This time the tests have been made non-build-critical, as their
    outcome really doesn't say anything about the success of the
    build.

 -- Magnus Holmgren <magnus@kibibyte.se>  Tue, 30 Jan 2007 01:17:52 +0100

libmail-dkim-perl (0.19-3) unstable; urgency=low

  * Really disable network-dependent tests, POSIX-compliantly (Closes:
    #395860)

 -- Magnus Holmgren <magnus@kibibyte.se>  Mon,  6 Nov 2006 12:20:29 +0100

libmail-dkim-perl (0.19-2) unstable; urgency=low

  * Disable test cases requiring network access (Closes: #395860)

 -- Magnus Holmgren <magnus@kibibyte.se>  Mon, 30 Oct 2006 15:09:01 +0100

libmail-dkim-perl (0.19-1) unstable; urgency=low

  * Initial release (Closes: #378046).

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat,  7 Oct 2006 16:40:20 +0200
